server.port=8280

server.public_url = 
server.public_desc = API Base URL

spring.profiles.active=dev

maven.pom.path = /META-INF/maven/eu.dnetlib.dhp/dnet-is-application/effective-pom.xml

spring.main.banner-mode = off

logging.level.root      = INFO
#logging.level.org.springframework = DEBUG

management.endpoints.web.exposure.include   =   prometheus,health
management.endpoints.web.base-path                  =   /
management.endpoints.web.path-mapping.prometheus    =   metrics
management.endpoints.web.path-mapping.health        =   health

# Main Database for IS
is.datasource.jdbc-url=jdbc:postgresql://localhost:5432/new_is
is.datasource.username=dnet
is.datasource.password=dnetPwd
is.datasource.driver-class-name=org.postgresql.Driver

# Database for Main Entities
openaire.datasource.jdbc-url=jdbc:postgresql://localhost:5432/dnet_openaireplus
openaire.datasource.username=dnet
openaire.datasource.password=dnetPwd
openaire.datasource.driver-class-name=org.postgresql.Driver

# Hibernate ddl auto (create, create-drop, validate, update)
spring.jpa.hibernate.ddl-auto = validate
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.PostgreSQLDialect
spring.jpa.properties.hibernate.hbm2dll.extra_physical_table_types = MATERIALIZED VIEW
spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true
spring.jpa.open-in-view=true
spring.jpa.properties.hibernate.show_sql=false
spring.jpa.properties.hibernate.use_sql_comments=false
spring.jpa.properties.hibernate.format_sql=false
spring.jpa.database=default


openaire.api.enable.dsm = true

